<template>
  <div class="wrapper">
    <b-modal size="sm" v-model="logoutModal" hide-header>
      <div class="d-block text-center">
        <span>{{ _('Вы уверены, что хотите выйти?') }}</span>
      </div>
      <template slot="modal-footer">
        <b-button variant="primary" @click="logoutModal = false">{{ _('Отмена') }}</b-button>
        <b-button variant="danger" @click="logout">{{ _('Выйти') }}</b-button>
      </template>
    </b-modal>
    <header class="header">
      <div class="logo" @click="logo">Парус</div>
      <div class="manage">
        <Notifications />
        <span>{{ _('Добро пожаловать') }}, <b id="username">{{ username }}</b></span>
        <b-button variant="danger" size="sm" @click="logoutModal = true">{{ _('Выйти') }}</b-button>
        <b-tooltip v-if="$store.getters.isGuest" target="username" :title="$store.getters.username" placement="bottomleft" />
      </div>
    </header>
  </div>
</template>

<script>
import Notifications from './Notifications'

import { AUTH_LOGOUT, CONFIG_SET_ACTIVE_LINK } from '../data/actions-types'

export default {
  name: 'Header',
  components: {
    Notifications
  },
  data () {
    return {
      logoutModal: false
    }
  },
  computed: {
    username () {
      if (this.$store.getters.isGuest) {
        return this._('Гость')
      } else {
        return this.$store.getters.username
      }
    }
  },
  methods: {
    logout () {
      this.$store.dispatch(AUTH_LOGOUT)
    },
    logo () {
      this.$store.dispatch(CONFIG_SET_ACTIVE_LINK)
    }
  }
}
</script>

<style lang="scss" scoped>
.wrapper {
  width: 100%;
}

.header {
  align-items: center;
  border-bottom: 1px solid #eee;
  display: flex;
  height: 64px;
  justify-content: space-between;
  width: 100%;

  div {
    padding: 0 16px;
  }
}

.logo {
  cursor: pointer;
  font-family: 'desonanz';
  font-size: 2rem;
}

.manage {
  display: flex;
  justify-content: flex-end;
  align-items: center;

  button {
    margin-left: 8px;
  }
}
</style>
